%global _empty_manifest_terminate_build 0
%global with_doc 1

Name:             python-novaclient
Epoch:            1
Version:          17.4.0
Release:          2
Summary:          Python API and CLI for OpenStack Nova
License:          Apache-2.0
URL:              https://launchpad.net/python-novaclient
Source0:          https://pypi.io/packages/source/p/python-novaclient/python-novaclient-%{version}.tar.gz
BuildArch:        noarch


%description
This is a client for the OpenStack Nova API. There's a Python API (the \
novaclient module), and a command-line script (nova). Each implements 100% of \
the OpenStack Nova API.

%package -n python3-novaclient
Summary:          Python API and CLI for OpenStack Nova
%{?python_provide:%python_provide python3-novaclient}

BuildRequires:    openstack-macros
BuildRequires:    python3-devel
BuildRequires:    python3-pbr
BuildRequires:    python3-pip
BuildRequires:    python3-setuptools
Requires:         python3-iso8601
Requires:         python3-keystoneauth1
Requires:         python3-oslo-i18n
Requires:         python3-oslo-serialization
Requires:         python3-oslo-utils == 4.8.0
Requires:         python3-pbr
Requires:         python3-prettytable
Requires:         python3-stevedore

%description -n python3-novaclient
This is a client for the OpenStack Nova API. There's a Python API (the \
novaclient module), and a command-line script (nova). Each implements 100% of \
the OpenStack Nova API.

%if 0%{?with_doc}
%package doc
Summary:          Documentation for OpenStack Nova API Client
BuildRequires:    python3-sphinx
BuildRequires:    python3-sphinxcontrib-apidoc
BuildRequires:    python3-openstackdocstheme
BuildRequires:    python3-oslo-utils == 4.8.0
BuildRequires:    python3-keystoneauth1
BuildRequires:    python3-oslo-serialization
BuildRequires:    python3-prettytable
%description      doc
This is a client for the OpenStack Nova API. There's a Python API (the \
novaclient module), and a command-line script (nova). Each implements 100% of \
the OpenStack Nova API.
This package contains auto-generated documentation.
%endif

%prep
%autosetup -n python-novaclient-%{version} -p1
%py_req_cleanup

%build
%{py3_build}

%install
%{py3_install}
ln -s nova %{buildroot}%{_bindir}/nova-3
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/nova.bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/nova
rm -fr %{buildroot}%{python3_sitelib}/novaclient/tests

%if 0%{?with_doc}
sphinx-build -b html doc/source doc/build/html
sphinx-build -b man doc/source doc/build/man
install -p -D -m 644 doc/build/man/nova.1 %{buildroot}%{_mandir}/man1/nova.1
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo doc/build/html/.htaccess
%endif

%files -n python3-novaclient
%license LICENSE
%doc README.rst
%{python3_sitelib}/novaclient
%{python3_sitelib}/*.egg-info
%{_sysconfdir}/bash_completion.d
%if 0%{?with_doc}
%{_mandir}/man1/nova.1.gz
%endif
%{_bindir}/nova
%{_bindir}/nova-3

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Thu Mar 02 2023 OpenStack_SIG <openstack@openeuler.org> - 1:17.4.0-2
- Fix install error

* Thu Aug 5 2021 huangtianhua <huangtianhua@huawei.com> - 17.4.0-1
- Upgrade to 17.4.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 17.2.1-2
- DESC: delete -S git from %autosetup, and delete BuildRequires git

* Thu Jan 12 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
